Secrets Store

secrets_store

secrets_store.quota

Methods

View Secret Usage -> Envelope<{ secrets }>
get/accounts/{account_id}/secrets_store/quota

Lists the number of secrets used in the account.

secrets_store.stores

Methods

List Account Stores -> V4PagePaginationArray<{ id, created, modified, 1 more... }>
get/accounts/{account_id}/secrets_store/stores

Lists all the stores in an account

Create A Store -> SinglePage<{ id, created, modified, 1 more... }>
post/accounts/{account_id}/secrets_store/stores

Creates a store in the account

Delete A Store -> Envelope<{ id, created, modified, 1 more... }>
delete/accounts/{account_id}/secrets_store/stores/{store_id}

Deletes a single store

secrets_store.stores.secrets

Methods

List Store Secrets -> V4PagePaginationArray<{ id, created, modified, 4 more... }>
get/accounts/{account_id}/secrets_store/stores/{store_id}/secrets

Lists all store secrets

Security
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example: X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example: X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194

Accepted Permissions (at least one required)

Secrets Store Write Secrets Store Read

path Parameters
account_id: string
(maxLength: 32)

Account Identifier

store_id: string
(maxLength: 32)

Store Identifier

query Parameters
direction:
Optional
(default: "desc")

Direction to sort objects

"asc"
"desc"
order:
Optional
(default: "created")

Order secrets by values in the given field

"name"
"comment"
"created"
"modified"
"status"
page: number
Optional
(minimum: 0, multipleOf: 1)

Page number

per_page: number
Optional
(maximum: 100, minimum: 0, multipleOf: 1)

Number of objects to return per page

scopes: Array<Array<string>>
Optional

Only secrets with the given scopes will be returned

search: string
Optional

Search secrets using a filter string, filtering across name and comment

Response fields
errors: Array<{ code, message, documentation_url, 1 more... }>
messages: Array<{ code, message, documentation_url, 1 more... }>
success: true

Whether the API call was successful.

result: Array<{ id, created, modified, 4 more... }>
Optional
result_info: { count, page, per_page, 1 more... }
Optional
Request example
200Example
Get A Secret By ID -> Envelope<{ id, created, modified, 4 more... }>
get/accounts/{account_id}/secrets_store/stores/{store_id}/secrets/{secret_id}

Returns details of a single secret

Create A Secret -> SinglePage<{ id, created, modified, 4 more... }>
post/accounts/{account_id}/secrets_store/stores/{store_id}/secrets

Creates a secret in the account

Patch A Secret -> Envelope<{ id, created, modified, 4 more... }>
patch/accounts/{account_id}/secrets_store/stores/{store_id}/secrets/{secret_id}

Updates a single secret

Delete A Secret -> Envelope<{ id, created, modified, 4 more... }>
delete/accounts/{account_id}/secrets_store/stores/{store_id}/secrets/{secret_id}

Deletes a single secret

Delete Secrets -> SinglePage<{ id, created, modified, 4 more... }>
delete/accounts/{account_id}/secrets_store/stores/{store_id}/secrets

Deletes one or more secrets

Duplicate Secret -> Envelope<{ id, created, modified, 4 more... }>
post/accounts/{account_id}/secrets_store/stores/{store_id}/secrets/{secret_id}/duplicate

Duplicates the secret, keeping the value